import { EventEmitter, OnDestroy } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { TAlertType } from './alert.types';
export declare class AlertComponent implements OnDestroy {
    private idService;
    closable: boolean;
    header: string;
    id: string;
    transition: boolean;
    type: TAlertType;
    alertClosed: EventEmitter<{}>;
    msg: string;
    visible: boolean;
    constructor(idService: IdService);
    ngOnDestroy(): void;
    alert_close(): void;
}
