import { OnDestroy, OnChanges, SimpleChanges } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { ICrumb } from './breadcrumbs.types';
export declare class BreadcrumbsComponent implements OnDestroy, OnChanges {
    private idService;
    id: string;
    items: ICrumb[];
    constructor(idService: IdService);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getLinkClass(link: string): "" | "breadcrumb-link";
}
