import { AfterViewInit, ElementRef, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
export declare class CardComponent implements AfterViewInit, OnDestroy {
    private idService;
    private cdr;
    flush: boolean;
    height: number;
    id: string;
    link: string;
    linkLabel: string;
    scrollable: boolean;
    target: string;
    header: ElementRef;
    footer: ElementRef;
    body: ElementRef;
    headerFlag: boolean;
    footerFlag: boolean;
    constructor(idService: IdService, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    scrollBody(val: any): void;
}
