import { OnInit, EventEmitter } from '@angular/core';
import { IdService } from '../../../shared/services/id.service';
import { Locale, Column } from '../datatable.models';
import { IGenericSelectOption } from '../../../shared/types/forms';
interface IFilteredColumn extends IGenericSelectOption, Column {
}
export declare class DatatableColumnFilterComponent implements OnInit {
    private idService;
    classList: string;
    id: string;
    locale: Locale;
    _columns: Column[];
    columns: Column[];
    onColumnFilterCheckboxUpdated: EventEmitter<Column[]>;
    filteredColumns: IFilteredColumn[];
    columnsChecked: IFilteredColumn[];
    selectedColumns: Column[];
    open: boolean;
    defaultSelectionText: string;
    constructor(idService: IdService);
    ngOnInit(): void;
    extendColumns(cols: Column[]): IFilteredColumn[];
    onMultiselectUpdate(multiselectEvent: IFilteredColumn[]): void;
}
export {};
