import { OnInit, EventEmitter } from '@angular/core';
import { IdService } from '../../../shared/services/id.service';
import { Locale } from '../datatable.models';
import { IDatatableGlobalSearchEvent } from './datatable-global-searcher.type';
export declare class DatatableGlobalSearcherComponent implements OnInit {
    private idService;
    classList: string;
    id: string;
    locale: Locale;
    globalSearchTerm: string;
    onGlobalSearchFocusout: EventEmitter<IDatatableGlobalSearchEvent>;
    onGlobalSearchTermUpdate: EventEmitter<IDatatableGlobalSearchEvent>;
    constructor(idService: IdService);
    ngOnInit(): void;
    focusOut(newTerm: string): void;
    inputUpdate(newInput: string): void;
    reset(): void;
}
