import { OnInit, OnDestroy } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { ICrumb } from '../breadcrumbs/breadcrumbs.types';
export declare class HeroComponent implements OnInit, OnDestroy {
    private idService;
    image: string;
    person: boolean;
    imagePosition: string;
    id: string;
    imageBottom: boolean;
    border: boolean;
    center: boolean;
    flush: boolean;
    fullWidth: boolean;
    card: boolean;
    chevron: boolean;
    borderText: string;
    borderLink: string;
    cardPosition: string;
    avatarImage: string;
    avatarSize: string;
    avatarColor: string;
    avatarText: string;
    avatarTextColor: string;
    title: string;
    subtitle: string;
    ctaIcon: string;
    ctaText: string;
    ctaLink: string;
    byLine: string;
    category: string;
    categoryColor: string;
    marker: string;
    summary: string;
    breadcrumbs: ICrumb[];
    constructor(idService: IdService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    bannerStyles(): {
        ['background-image']: string;
        ['background-position']: string;
        ['background-size']: string;
    };
    bannerClasses(): {
        'hero-keyline': string;
        'hero-center': boolean;
        'hero-flush': boolean;
        'hero-person': boolean;
    };
}
