import { EventEmitter, OnDestroy } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { ITransitionEvent } from '../transition/transition.types';
import { TButtonSize } from '../button/button.types';
import { TModalSize } from './modal.types';
export declare class ModalComponent implements OnDestroy {
    private idService;
    active: boolean;
    buttonCancel: string;
    buttonSize: TButtonSize;
    closable: boolean;
    disableBackgroundClick: boolean;
    height: number;
    id: string;
    labelCloseButton: string;
    scrollable: boolean;
    size: TModalSize;
    title: string;
    showButton: boolean;
    toggle: EventEmitter<{}>;
    insideCard: boolean;
    constructor(idService: IdService);
    ngOnDestroy(): void;
    classGen(): {
        [x: string]: boolean | "small" | "large";
        'modal-scrollable': boolean;
    };
    ModalToggle(e: any): void;
    Modal_toggleOnBackground(e: any): void;
    transitionHook(animationEvent: ITransitionEvent): void;
    open(): void;
    close(): void;
}
