import { EventEmitter, OnDestroy } from '@angular/core';
import { IdService, FormControlBase } from '../../shared/index';
export declare class RadioComponent extends FormControlBase<string> implements OnDestroy {
    private idService;
    id: string;
    disabled: boolean | string;
    name: string;
    value: string;
    radioUpdate: EventEmitter<{}>;
    constructor(idService: IdService);
    ngOnDestroy(): void;
    setModel(value: string): void;
    checkSelected(): boolean;
    toggleHandler(): void;
}
