import { SidenavItemComponent } from './sidenav-item/sidenav-item.component';
import { SidenavComponent } from './sidenav.component';
import { Subject } from 'rxjs';
import { ActivatedRouteSnapshot } from '@angular/router';
export interface SidenavBusEvent {
    activeItemId: string;
    isDirectChild: boolean;
    item: SidenavItemComponent;
}
export declare class SidenavService {
    private itemsContainer;
    private _itemsFlat;
    itemsFlat: {
        [id: string]: SidenavItemComponent;
    };
    $activeItemId: Subject<string>;
    $eventBus: Subject<SidenavBusEvent>;
    constructor();
    setParent(parent: SidenavComponent): void;
    addItems(items: SidenavItemComponent[]): void;
    addItem(item: SidenavItemComponent): void;
    removeItem(id: string): void;
    getCurrentRouteSnapshot(): ActivatedRouteSnapshot;
    closeAllItems(): void;
    findMatchingItemForRoute(routeSnapshot: ActivatedRouteSnapshot): string;
    checkIfDirectChild(item: SidenavItemComponent): boolean;
}
