import { QueryList, OnDestroy } from '@angular/core';
import { IdService } from '../../../shared/services/id.service';
import { StepperContentComponent } from '../stepper-content/stepper-content.component';
import { StepsDataService } from '../stepsData/steps-data.service';
import { StepperComponent } from '../stepper.component';
export declare class StepperContainerComponent implements OnDestroy {
    private idService;
    private stepsDataService;
    buttonHide: boolean;
    buttonNextHide: boolean;
    buttonNextText: string;
    buttonPrevHide: boolean;
    buttonPrevText: string;
    id: string;
    currentStepContent: StepperContentComponent;
    steps: QueryList<StepperContentComponent>;
    stepper: QueryList<StepperComponent>;
    constructor(idService: IdService, stepsDataService: StepsDataService);
    currentStepIndex: number;
    ngOnDestroy(): void;
    StepperContainer_next(): void;
    StepperContainer_prev(): void;
    $_StepperContainer_updateStep(id: any): void;
}
