import { OnInit, OnDestroy } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { StepperContainerComponent } from './stepper-container/stepper-container.component';
import { StepsDataService } from './stepsData/steps-data.service';
import { IStep } from './stepper.types';
export declare class StepperComponent implements OnInit, OnDestroy {
    private idService;
    private parentComponent;
    private stepsDataService;
    followFlow: string | boolean;
    id: string;
    stepNumber: string | boolean;
    steps: IStep[];
    msg: string;
    completed: [];
    progress: number;
    constructor(idService: IdService, parentComponent: StepperContainerComponent, stepsDataService: StepsDataService);
    currentStepIndex: number;
    currentStepID: string;
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    Stepper_updatePoint(e: any, key: any): void;
    $_Stepper_resetActive(): void;
    $_Stepper_setPoints(): void;
    update_progress(): void;
    isMobileHandler(): boolean;
}
