import { OnDestroy, ElementRef, EventEmitter, SimpleChanges } from '@angular/core';
import { IdService, FormControlBase } from '../../shared/index';
import { ISwitchState } from './switch.types';
import { Observable } from 'rxjs';
export declare class SwitchComponent extends FormControlBase<boolean> implements OnDestroy {
    private idService;
    id: string;
    disabled: string | boolean;
    disableEventBus: boolean;
    label: string;
    name: string;
    size: 'small' | 'medium';
    model: boolean;
    ariaDescribedby: string;
    checkboxupdate: EventEmitter<ISwitchState>;
    control: ElementRef;
    formSwitchWrapper: ElementRef;
    mouseoutObservable: Observable<any>;
    constructor(idService: IdService);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onChange(newState: any): void;
    removeFocus(): void;
}
