import { OnInit, EventEmitter, AfterContentInit, ElementRef } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
export declare class TopnavComponent implements OnInit, AfterContentInit {
    private idService;
    showSearch: boolean;
    id: string;
    fullWidth: boolean;
    logo: string;
    logoLink: string;
    logoAlt: string;
    searchPlaceholder: string;
    onSearch: EventEmitter<{}>;
    secondaryContainer: ElementRef;
    secondaryLeftRef: ElementRef;
    secondaryRef: ElementRef;
    customSearchRef: ElementRef;
    searchRef: ElementRef;
    constructor(idService: IdService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    onInputSearch(e: any): void;
}
