import { AfterViewInit, OnInit, EventEmitter, ElementRef } from '@angular/core';
import { IRouteObject } from './topnavitem.types';
export declare class TopnavitemComponent implements OnInit, AfterViewInit {
    isDropdownItem: boolean;
    dropdown: boolean;
    dropdownArrow: boolean;
    control: boolean;
    dropdownPosition: string;
    dropdownType: string;
    dropdownTag: string;
    icon: string;
    iconWeight: string;
    router: boolean;
    target: string;
    href: string;
    active: boolean;
    routerTo: string;
    profileImage: string;
    id: string;
    routeObject: IRouteObject;
    onClick: EventEmitter<{}>;
    dropdownItem: ElementRef;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    itemClicked(e: any): void;
    checkDropdownItem(): void;
    classGen(): {
        'nav-item-control': boolean;
        'nav-item-dropdown': boolean;
        'nav-item-profile': string;
        'nav-dropdown-arrow': boolean;
    };
}
