import { OnInit, OnDestroy, SimpleChanges, ElementRef, AfterContentInit } from '@angular/core';
import { IdService } from '../../../shared/services/id.service';
import { BehaviorSubject, Subscription } from 'rxjs';
export declare class TransitionHeightComponent implements OnInit, OnDestroy, AfterContentInit {
    private idService;
    nspace: string;
    id: string;
    duration: number;
    state: boolean;
    easing: string;
    trueHeight: number;
    $animationState: BehaviorSubject<boolean>;
    $animationStateSub: Subscription;
    transitionContent: ElementRef;
    constructor(idService: IdService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    toggleTargetVisibility(target: HTMLElement): void;
    getTrueHeight(): Promise<number>;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    mountAnimationStateListener(): void;
    removeAnimation(targetElement?: Node | NodeList): void;
    entryAnimation(): void;
    exitAnimation(): void;
}
