import { AbstractControl, Validator } from '@angular/forms';
export declare class InputValidator implements Validator {
    regexAtom: string;
    regexIp: string;
    defaultRegexNumber: RegExp;
    defaultRegexPhone: RegExp;
    defaultRegexPostalCode: RegExp;
    defaultRegexZipCode: RegExp;
    type: string;
    regexDomain(): string;
    regexEmail(): string;
    validate(control: AbstractControl): {
        [key: string]: any;
    } | null;
}
