import { EventEmitter, ElementRef, OnDestroy, OnChanges, SimpleChanges } from '@angular/core';
import { IdService, FormControlBase } from '../../shared/index';
export declare class ButtonToggleComponent extends FormControlBase<string> implements OnDestroy, OnChanges {
    private idService;
    id: string;
    disabled: boolean;
    name: string;
    value: string;
    model: string;
    radioUpdate: EventEmitter<{}>;
    control: ElementRef;
    constructor(idService: IdService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    setModel(value: string): void;
    updateSelected(): void;
    checkSelected(): boolean;
    removeFocus(): void;
}
