import { AfterViewInit, OnDestroy } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { TIconSize, TIconType } from '../icon/icon.types';
import { TCaptionAvatarAlign, TCaptionAvatarSize, TCaptionSmallTextSize } from './caption.types';
export declare class CaptionComponent implements AfterViewInit, OnDestroy {
    private idService;
    avatarAlign: TCaptionAvatarAlign;
    avatarColor: string;
    avatarSize: TCaptionAvatarSize;
    avatarText: string;
    avatarTextColor: string;
    circle: boolean;
    icon: string;
    iconSize: TIconSize;
    iconWeight: TIconType;
    id: string;
    image: string;
    imageText: string;
    link: string;
    linkLabel: string;
    routerTo: string;
    smallText: string;
    smallTextSize: TCaptionSmallTextSize;
    text: string;
    $defaultContent: any;
    $headerContent: any;
    defaultContentPresent: boolean;
    headerContentPresent: boolean;
    constructor(idService: IdService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    avatarClassGen(): {
        [x: string]: string | boolean;
        'caption-avatar-circle': boolean;
        'caption-avatar-transparent': boolean;
    };
}
