import { OnInit, EventEmitter, ElementRef, OnDestroy, SimpleChanges, OnChanges, ChangeDetectorRef } from '@angular/core';
import { IdService, IGenericSelectOption, FormControlBase } from '../../shared/index';
import { Subscription } from 'rxjs';
export declare class DropdownAltComponent extends FormControlBase<string> implements OnInit, OnChanges, OnDestroy {
    private idService;
    private eRef;
    private cdr;
    disabled: boolean;
    height: string;
    helpText: string;
    id: string;
    label: string;
    options: IGenericSelectOption[];
    preselect: string;
    size: string;
    sizeWidth: string;
    ariaLabel: string;
    ariaLabelledby: string;
    ariaDescribedby: string;
    ariaActiveDecendant: string;
    selectUpdate: EventEmitter<string[]>;
    self: ElementRef;
    $dropdown: ElementRef;
    $cardResults: ElementRef;
    private dropdownOptions;
    loaded: boolean;
    selectedLabel: string;
    selected: string;
    open: boolean;
    highlightID: string;
    activeIndex: number;
    index: number;
    $clickListener: Subscription;
    constructor(idService: IdService, eRef: ElementRef, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    classGen(): {
        [x: string]: string | boolean;
        disabled: boolean;
    };
    isMobileHandler(): boolean;
    changeHandler(): void;
    $_SelectDropdown_close(): void;
    $_SelectDropdown_open(e?: any): void;
    $_SelectDropdown_updateSelected(label: any, value: any): void;
    $_SelectDropdown_nextEligibleOption(index: any, options: any, nbOptions: any): any;
    $_SelectDropdown_previousEligibleOption(index: any, options: any): any;
    $_SelectDropdown_updateHighlight(e: any): void;
    processValue(): void;
    setModel(value: string): void;
    writeValue(value: string): void;
    initClickListener(): void;
}
