import { EventEmitter, OnDestroy } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { ExpandableContainerComponent } from '../expandable-container/expandable-container.component';
import { TExpandableArrowAlign, TExpandableArrowPosition } from './expandable.types';
export declare class ExpandableComponent implements OnDestroy {
    private idService;
    private host;
    id: string;
    expanded: boolean;
    arrow: boolean;
    arrowPosition: TExpandableArrowPosition;
    arrowAlign: TExpandableArrowAlign;
    duration: number;
    toggleShow: boolean;
    hostClass: string | string[];
    expandclose: EventEmitter<{}>;
    expandopen: EventEmitter<{}>;
    constructor(idService: IdService, host: ExpandableContainerComponent);
    ngOnDestroy(): void;
    toggle(): void;
}
