import { OnInit } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { ILinkCard } from './link-card-container.types';
export declare class LinkCardContainerComponent implements OnInit {
    private idService;
    id: string;
    title: string;
    items: ILinkCard[];
    columns: string;
    layout: string;
    constructor(idService: IdService);
    ngOnInit(): void;
    cardClassGen(): {
        'card-col-my': boolean;
        'col-xl-3': boolean;
        'col-md-4': boolean;
        'col-sm-6': boolean;
    };
}
