import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { TMediaCardLayout, IMediaCardArticle } from './media-card.types';
export declare class MediaCardComponent implements OnInit, OnDestroy {
    private idService;
    id: string;
    scrollMobile: boolean;
    linksAlignStart: boolean;
    divider: boolean;
    card: boolean;
    columns: string;
    layout: TMediaCardLayout;
    articles: IMediaCardArticle[];
    ctaLinkClicked: EventEmitter<{}>;
    constructor(idService: IdService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    containerClasses(): {
        row: any;
        'media-card-tiles': boolean;
        'media-card-featured-stacked': boolean;
        'media-card-featured-stacked-horizontal': boolean;
        'media-card-scroll': boolean;
    };
    columnsClasses(index: any): {
        [x: string]: any;
        'col-md-6': boolean;
        'media-card-divider': boolean;
    };
    columnsGen(index?: any): any;
    articleColoredClasses(article: any): {
        [x: string]: any;
        'media-card-colored-overlay-translucent': any;
    };
    articleImageClasses(article: any): {
        [x: string]: any;
        'media-card-image-content': any;
    };
    articleCategoryClasses(article: any): {
        [x: string]: any;
    };
    cardTypeGen(index?: any): "horizontal" | "vertical";
    generateInitials(name: any): any;
    linkClicked(article: any): void;
}
