import { OnInit, ElementRef, EventEmitter, SimpleChanges, OnDestroy, OnChanges, ChangeDetectorRef } from '@angular/core';
import { Subscription } from 'rxjs';
import { IdService } from '../../shared/services/id.service';
import { PopoverService } from '../../shared/services/popover.service';
import { TIconType } from '../icon/icon.types';
import { TTooltipPosition, TTooltipPositionX } from '../tooltip/tooltip.types';
export declare class MenuAltComponent implements OnInit, OnDestroy, OnChanges {
    private idService;
    private popoverService;
    private cdr;
    active: boolean;
    clickable: boolean;
    hover: boolean;
    icon: string;
    iconWeight: TIconType;
    id: string;
    labelTrigger: string;
    position: TTooltipPosition;
    positionX: TTooltipPositionX;
    absolute: boolean;
    popovertoggle: EventEmitter<{}>;
    self: ElementRef;
    content: ElementRef;
    isOpen: boolean;
    $clickListener: Subscription;
    constructor(idService: IdService, popoverService: PopoverService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    toggle(event: any): void;
    hoverToggle(toggle: boolean): void;
    classGen(): any[];
    initClickListener(): void;
}
