import { OnInit, EventEmitter, ElementRef, OnDestroy, SimpleChanges, OnChanges, ChangeDetectorRef } from '@angular/core';
import { IdService, IGenericSelectOption, FormControlBase } from '../../shared/index';
export declare class MultiselectComponent extends FormControlBase<IGenericSelectOption[]> implements OnInit, OnDestroy, OnChanges {
    private idService;
    private eRef;
    private cdr;
    checkedText: string;
    disabled: boolean;
    displayTotal: boolean;
    height: string;
    helpText: string;
    id: string;
    label: string;
    options: IGenericSelectOption[];
    model: IGenericSelectOption[];
    placeholder: string;
    size: string;
    sizeWidth: string;
    ariaLabel: string;
    ariaLabelledby: string;
    ariaDescribedby: string;
    selectUpdate: EventEmitter<IGenericSelectOption[]>;
    modelChange: EventEmitter<IGenericSelectOption[]>;
    dropdownClosed: EventEmitter<IGenericSelectOption[]>;
    $dropdown: ElementRef;
    $selections: ElementRef;
    $cardResults: ElementRef;
    selectedLabel: string;
    selected: string;
    open: boolean;
    highlightID: string;
    index: number;
    clickout(event: any): void;
    touchend(event: any): void;
    constructor(idService: IdService, eRef: ElementRef, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setSelectedOptions(options: IGenericSelectOption[]): void;
    classGen(): {
        [x: string]: string | boolean;
        disabled: boolean;
    };
    selectedOptionsLabel(): string;
    selectedLabelFormatted(): string;
    writeValue(options: IGenericSelectOption[]): void;
    $_SelectDropdown_close(): void;
    $_Multiselect_open(e?: any): void;
    updateSelected(value: any, fromKeyPress: any): void;
    emitState(): void;
    $_SelectDropdown_nextEligibleOption(index: any, options: any, nbOptions: any): any;
    $_SelectDropdown_previousEligibleOption(index: any, options: any): any;
    $_SelectDropdown_updateHighlight(e: any): void;
}
