import { OnInit, OnDestroy, EventEmitter, OnChanges, SimpleChanges, ChangeDetectorRef } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { IPointEvent } from './point.type';
export declare class PointComponent implements OnInit, OnDestroy, OnChanges {
    private idService;
    private cd;
    id: string;
    label: string;
    helpText: string;
    disabled: string | boolean;
    checked: string | boolean;
    completed: string | boolean;
    passed: string | boolean;
    editable: boolean;
    number: string | number;
    pointUpdate: EventEmitter<IPointEvent>;
    msg: string;
    firstChange: boolean;
    _active: string | boolean;
    active: string | boolean;
    done: string | boolean;
    skipped: string | boolean;
    disable: string | boolean;
    private _disabled;
    private _checked;
    private _completed;
    private _passed;
    constructor(idService: IdService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    syncChanges(): void;
    updateActive(): void;
    firePointUpdate(): void;
    describedby(): string;
    pressedState(): "false" | "true" | "mixed";
}
