import { OnInit, OnDestroy, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { IProgressbarEvent, TProgressbarSize } from './progressbar.types';
export declare class ProgressbarComponent implements OnInit, OnDestroy, OnChanges {
    private idService;
    id: string;
    ariaDescribedBy: string;
    progress: string;
    round: boolean | string;
    size: TProgressbarSize;
    progressFill: string;
    progressbarupdate: EventEmitter<IProgressbarEvent>;
    constructor(idService: IdService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
