import { OnInit, EventEmitter, SimpleChanges, OnChanges } from '@angular/core';
import { IdService, langTypes, FormControlBase } from '../../shared/index';
export declare class SliderComponent extends FormControlBase<number> implements OnInit, OnChanges {
    private idService;
    disabled: boolean | string;
    display: boolean | string;
    displayMinMax: boolean | string;
    errorLabel: string;
    follow: boolean | string;
    formatNumberLive: boolean | string;
    helpText: string;
    id: string;
    label: string;
    legendTicker: number;
    max: number;
    min: number;
    name: string;
    preset: number;
    step: string | number;
    unit: string;
    unitPosition: string;
    lang: langTypes;
    sliderUpdate: EventEmitter<{}>;
    legends: {
        range: number;
        interval: number;
        middleValue: number;
        values: any[];
    };
    backgroundGradient: any;
    widthInputRange: any;
    minFormatted: any;
    maxFormatted: any;
    valueFormatted: any;
    $input: any;
    $output: any;
    $inputOutput: any;
    constructor(idService: IdService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    makeLegalValue(value: any): number;
    getValueFormatted(): any;
    legendClickHandler(ticker: any): void;
    $_Slider_updateValue(inputVal: string | FocusEvent): void;
    onInputBlur(evt: any): void;
    $_Slider_updateValueFromLegend(ticker: any): void;
    $_Slider_output_FollowThumb(): void;
    $_Slider_backgroundGradient_update(): void;
    $_Slider_formatNumberLive(): any;
    $_Slider_getFormat(number: any): any;
    setModel(val: number): void;
    writeValue(val: number): void;
}
