import { OnInit, OnChanges, SimpleChanges, OnDestroy, EventEmitter } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
export declare class SnackbarComponent implements OnInit, OnDestroy, OnChanges {
    private idService;
    id: string;
    active: boolean;
    buttonClose: string;
    message: string;
    positionX: 'left' | 'center' | 'right';
    positionY: 'top' | 'bottom';
    timeout: number;
    timeoutProgress: boolean;
    title: string;
    type: 'danger' | 'success';
    toggle: EventEmitter<{}>;
    transition: string;
    iconClass: string;
    delay: any;
    progressAmount: number;
    _animation: any;
    constructor(idService: IdService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    iconGen(): string;
    transitionGen(): string;
    classGen(): string[];
    snackbar_toggle(e?: Event): void;
    snackbar_progress(endTime: number): void;
    snackbar_pause(e?: Event): void;
    snackbar_unpause(e?: Event): void;
}
