import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { SortLocale } from './sort.types';
export declare class SortComponent implements OnInit, OnDestroy {
    private idService;
    checkable: boolean;
    options: any;
    locale: SortLocale;
    id: string;
    activeIndex: any;
    newIndex: any;
    oldIndex: any;
    difference: number;
    items: any[];
    reorderedItems: any;
    timeout: any;
    height: string;
    edgePositioned: boolean;
    sortUpdated: EventEmitter<{}>;
    $container: any;
    constructor(idService: IdService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    beforeDestroy(): void;
    setOnClick(e: any): void;
    newHeight(): void;
    set(): void;
    checkStatic(index: any, direction: any): boolean;
    setIndex(index: any, count: any): void;
    move(index: any): void;
    moveUp(index: any): void;
    moveDown(index: any): void;
}
