import { EventEmitter, ElementRef, OnDestroy, SimpleChanges, OnChanges } from '@angular/core';
import { IdService, FormControlBase } from '../../shared/index';
import { Observable } from 'rxjs';
export declare class TagComponent extends FormControlBase<boolean> implements OnChanges, OnDestroy {
    private idService;
    checkable: boolean;
    checked: boolean;
    disabled: boolean | string;
    height: string;
    id: string;
    name: string;
    size: 'small' | 'large';
    tagUpdate: EventEmitter<{}>;
    $control: ElementRef;
    tagWrapper: ElementRef;
    mouseoutObservable: Observable<any>;
    constructor(idService: IdService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    removeFocus(): void;
    emitTagUpdate(): void;
}
