import { ElementRef } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
export declare class SmoothScrollDirective {
    private router;
    private hostRoute;
    private hostEl;
    private location;
    scrollToId: string;
    scrollDuration: number;
    buffer: number;
    onclick(event: Event): void;
    slashRegex: RegExp;
    targetId: string;
    constructor(router: Router, hostRoute: ActivatedRoute, hostEl: ElementRef, location: Location);
    scrollTo(id: string): void;
    scrollAnimation(to: number, endTime: number, direction: 'up' | 'down', distance: number): void;
}
