export declare class IdService {
    private ids;
    constructor();
    /**
     * Generates unique ID and keeps track of it so it can't be used again until removed
     * @returns string
     */
    generate(): string;
    /**
     * Removes unique ID from record, enabling it to be used again
     * @param id
     * @returns void
     */
    remove(id: string): void;
}
