import { langTypes } from '../types/common';
/**
 * Formats a number for display
 * @param num string or number
 * @param lang language to format to
 * @param nbDecimal the # of decimal places to format for
 */
declare const formatNumber: (num: string | number, lang: langTypes, nbDecimal?: number) => string;
declare const formatCurrency: (num: string | number, lang?: langTypes, nbDecimal?: number, currencySymbol?: string) => string;
export { formatNumber, formatCurrency };
